#include <iostream>
using namespace std;
int main()
{
	int N,K;
	cin>>N>>K;
	int karte[N];
	for(int i=1; i<=N; i++){
		cin>>karte[i];
	}
	int j=1;
	while (K!=karte[j] && j<N){
		j++;
	}
	if (j<N){
		cout<<karte[j+1];
	}
	else{
		cout<<karte[1];
	}
}